#pragma once
#include <map>
struct Odds2_ProfitData
{
	//盈利(10000)
	int mProfit;
	//RAND区间的下限(10000)
	int mRandLower;
	//RAND区间的上限(10000)
	int mRandUpper;
};

class Odds2_Profit
{
public:
private:
	static std::auto_ptr<Odds2_Profit> msSingleton;
public:
	int GetCount();
	const Odds2_ProfitData* GetData(int Profit);
	const std::map<int, Odds2_ProfitData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Odds2_Profit* GetSingleton();
	static void Release();
private:
	std::map<int, Odds2_ProfitData> mMapData;
};
